subroutine nbi_alloc_splt
 
  use nbi_com
  implicit NONE
 
  !==============================================
  ! allocate arrays
 
  allocate(nbsbsa(minbs)); nbsbsa = 0
  allocate(nbebsa(minbs)); nbebsa = 0
  allocate(einjbsa(minbs)); einjbsa = zero
  allocate(pinjbsa(minbs)); pinjbsa = zero
  allocate(rbsa(minbs)); rbsa = zero
  allocate(tbsa(minbs)); tbsa = zero
  allocate(thbsa(minbs)); thbsa = zero
  allocate(vbsa(minbs)); vbsa = zero
  allocate(wtbsa(minbs)); wtbsa = zero
  allocate(xisbsa(minbs)); xisbsa = zero
  allocate(xksbsa(minbs)); xksbsa = zero
 
end subroutine nbi_alloc_splt
